import type { VueNode } from './type';
declare const isOn: (key: string) => boolean;
declare const cacheStringFunction: (fn: Function) => (str: string) => any;
declare const camelize: (str: string) => any;
declare const hyphenate: (str: string) => any;
declare const capitalize: (str: string) => any;
declare function resolvePropValue(options: Record<string, any>, props: Record<string, any>, key: string, value: any): any;
export declare function getDataAndAriaProps(props: Record<string, any>): Record<string, any>;
export declare function toPx(val: any): any;
export declare function renderHelper<T = Record<string, any>>(v: VueNode | ((arg0: T) => VueNode), props?: T, defaultV?: any): any;
export declare function wrapPromiseFn(openFn: (resolve: VoidFunction) => VoidFunction): any;
export { isOn, cacheStringFunction, camelize, hyphenate, capitalize, resolvePropValue };
export declare function toArray<T>(value?: T | T[] | null): T[];
